Subject: Re: bug#1452: Acknowledgement (23.0.60; Problem with nextstep, longlines-mode,)

From: Andrew Hyatt <[email-masked]>
Date: Thu, 07 Jan 2016 01:42:58 +0000

On Tue, Jan 5, 2016 at 10:46 PM Eli Zaretskii <[email-masked]> wrote:

> > From: Andrew Hyatt <[email-masked]>
> > Date: Tue, 05 Jan 2016 21:12:19 +0000
> > Cc: Glenn Morris <[email-masked]>, [email-masked],
> [email-masked]
> >
> > Has anyone considered putting these obsolete packages in the gnu ELPA?
> I'm not
> > sure about the bug policy, but I'd guess that bugs shouldn't be filed
> against
> > ELPA packages.
>
> AFAIK bugs are files against ELPA packages like they are against the
> core Emacs.  So moving to ELPA will not change this aspect of obsolete
> packages.
>

> (It also feels wrong to move them to ELPA just because they are
> obsolete.  ELPA is supposed to be home for new and advanced stuff, not
> for obsolete stuff.  If someone steps forward wanting to maintain an
> obsolete package, then a move to ELPA might make good sense, though.)
>

That's a fair point.  Maybe there could be some special ELPA repository for
obsolete packages.  But what I'm mostly trying to figure out is if there is
*any* way to get code to be completely unmaintained.  We are, after all,
trying to reduce the number of bugs (see the thread on 4k bugs) overall,
and this is one way to do that.  So the only way people would agree on
right now, is if we remove the code entirely from emacs distribution.  But
I suspect that such a change would be rejected, even from obsolete
packages, because someone might still be depending on them.